Author: Tom Jampen <tom@cryptography.ch>
Description: Building and using qtermwidget6.

diff -Naurp a/cmake/FindQTermWidget.cmake b/cmake/FindQTermWidget.cmake
--- a/cmake/FindQTermWidget.cmake
+++ b/cmake/FindQTermWidget.cmake
@@ -12,7 +12,7 @@ endif()
 
 
 find_package(PkgConfig)
-pkg_check_modules(QTERMWIDGET_PKG QUIET qtermwidget5)
+pkg_check_modules(QTERMWIDGET_PKG QUIET qtermwidget6)
 
 
 find_path(QTERMWIDGET_INCLUDE_DIR NAMES qtermwidget.h
@@ -24,10 +24,10 @@ find_path(QTERMWIDGET_INCLUDE_DIR NAMES
 	HINTS
 		${QTERMWIDGET_PKG_INCLUDE_DIRS}
 	PATH_SUFFIXES
-		qtermwidget5
+		qtermwidget6
 )
 
-find_library(QTERMWIDGET_LIBRARIES NAMES qtermwidget5 ${QTERMWIDGET_PKG_LIBRARIES}
+find_library(QTERMWIDGET_LIBRARIES NAMES qtermwidget6 ${QTERMWIDGET_PKG_LIBRARIES}
 	PATHS
 		/usr/local
 		/usr
diff -Naurp a/CMakeLists.txt b/CMakeLists.txt
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -168,10 +168,10 @@ add_subdirectory(src/latexparser)
 add_subdirectory(src/symbolpanel)
 
 #qtermwidget
-if(${QT_VERSION_MAJOR} LESS_EQUAL 5)
+if(${QT_VERSION_MAJOR} LESS_EQUAL 6)
     find_package(QTermWidget QUIET)
     if(QTermWidget_FOUND)
-        message(STATUS "Using QTermWidget5")
+        message(STATUS "Using QTermWidget6")
         set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DINTERNAL_TERMINAL)
     endif()
 endif()
@@ -425,8 +425,8 @@ if(UNIX AND NOT APPLE AND NOT HAIKU)
 endif()
 
 #qtermwidget
-if(QTERMWIDGET_FOUND AND ${QT_VERSION_MAJOR} LESS_EQUAL 5 )
-   target_link_libraries(texstudio PUBLIC qtermwidget5)
+if(QTERMWIDGET_FOUND AND ${QT_VERSION_MAJOR} LESS_EQUAL 6 )
+   target_link_libraries(texstudio PUBLIC qtermwidget6)
 endif()
 
 #mediaplayer
diff -Naurp a/src/configdialog.cpp b/src/configdialog.cpp
--- a/src/configdialog.cpp
+++ b/src/configdialog.cpp
@@ -11,7 +11,7 @@
 
 #include "qjsonarray.h"
 #ifdef INTERNAL_TERMINAL
-#include <qtermwidget5/qtermwidget.h>
+#include <qtermwidget6/qtermwidget.h>
 #endif
 
 #include "configdialog.h"
diff -Naurp a/src/toolwidgets.cpp b/src/toolwidgets.cpp
--- a/src/toolwidgets.cpp
+++ b/src/toolwidgets.cpp
@@ -189,7 +189,7 @@ TerminalWidget::TerminalWidget(QWidget *
 #if QT_VERSION < QT_VERSION_CHECK(6,0,0)
     layout->setMargin(0);
 #else
-    layout->setContentMargins(0,0,0,0);
+    layout->setContentsMargins(0,0,0,0);
 #endif
 	setLayout(layout);
 	installEventFilter(this);
diff -Naurp a/src/toolwidgets.h b/src/toolwidgets.h
--- a/src/toolwidgets.h
+++ b/src/toolwidgets.h
@@ -7,7 +7,7 @@
 #include "mostQtHeaders.h"
 
 #ifdef INTERNAL_TERMINAL
-#include <qtermwidget5/qtermwidget.h>
+#include <qtermwidget6/qtermwidget.h>
 #endif
 
 #include "titledpanel.h"
